Rygel.PluginLoader – librygel-core Reference Manual

# PluginLoader

## Object Hierarchy:

## Description:

public class PluginLoader : RecursiveModuleLoader

This class is responsible for plugin loading.

It probes for shared library files in a specific directory, tries to find a module_init() function with this signature: `void module_init (RygelPluginLoader* loader);`

It then calls that function, passing a pointer to itself. The loaded module can then add plugins to Rygel by calling the rygel_plugin_loader_add_plugin() function.

Namespace: Rygel
Package: librygel-core

## Content:

### Creation methods:

- public PluginLoader ()

### Methods:

- public override void constructed ()
- public bool plugin_disabled (string name)
  Checks if a plugin is disabled by the user
- public void add_plugin (Plugin plugin)
- public Plugin? get_plugin_by_name (string name)
- public Collection<Plugin> list_plugins ()
- protected override bool load_module_from_file (File module_file)
- protected override bool load_module_from_info (PluginInformation info)

### Signals:

- public signal void plugin_available (Plugin plugin)

### Inherited Members:

All known members inherited from class Rygel.RecursiveModuleLoader

- base_path
- constructed

- load_modules
- load_modules_sync

- load_module_from_file
- load_module_from_info

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count